<?php namespace App\Controllers;


class Product extends BaseController
{

	public function drop_dawn_data()
	{
   
        $cultural_background_query=$this->db->table('cultural_background')->get();
        $cultural_background=$cultural_background_query->getResult();
        
        $house_hold_query=$this->db->table('house_hold')->get();
        $house_hold=$house_hold_query->getResult();

        $health_support_query=$this->db->table('health_support')->get();
        $health_support=$health_support_query->getResult();

        $homelessness_support_query=$this->db->table('homelessness_support')->get();
        $homelessness_support=$homelessness_support_query->getResult();
        
        $occupation_query=$this->db->table('occupation')->get();
        $occupation=$occupation_query->getResult();
        
        $data['cultural_background']=$cultural_background;
        $data['house_hold']=$house_hold;
        $data['health_support']=$health_support;
        $data['homelessness_support']=$homelessness_support;
        $data['occupation']=$occupation;
    
        return $this->response
                    ->setStatusCode(200)
                    ->setJSON($data);
	}

    
    public function add_client_data()
	{
	$productInfo=$this->request->getJSON();
    $addresses=json_encode($productInfo->addresses);
    $telephones=json_encode($productInfo->telephones);
    $email_data=json_encode($productInfo->emailAddresses);
    $identification_no=json_encode($productInfo->identification_no);
    $date_of_birth = date('Y-m-d', strtotime($productInfo->dob));
   
    $collect_data=[
        'title'=>$productInfo->title,
        'given_name'=>$productInfo->gname,
        'surname'=>$productInfo->sname,
        'gender'=>$productInfo->gender,
        'uses_pseudonym'=>$productInfo->pseudonym,
        'maiden_surname'=>$productInfo->msname,
        'care_recipient'=>$productInfo->cre_rec,
        'has_carer'=>$productInfo->has_carer,
        'd_o_b'=>$date_of_birth,
        'birth_date_is_estimated'=>$productInfo->birth_date_esti,
        'consent_to_provide'=>$productInfo->ctpd,
        'consent_for_future'=>$productInfo->con_to_fut,
        'interests_and_hobbies'=>$productInfo->interests,
        'country_of_birth'=>$productInfo->coof,
        'aboriginal'=>$productInfo->abto,
        'ancestry'=>$productInfo->ancestry,
        'communication_method'=>$productInfo->comm_method,
        'language_spoken'=>$productInfo->ls,
        'ndis_number'=>$productInfo->ndis,
        'dva_card_status'=>$productInfo->dvacard,
        'identification_no'=>$identification_no,
         'telephones'=>$telephones,
         'addresses'=>$addresses,
        'email_addresses'=>$email_data,
        'has_disability'=>$productInfo->has_disability,
        'self_care'=>$productInfo->self_care,
        'mobility'=>$productInfo->mobility,
        'communication'=>$productInfo->communication,
        'interpersonal_relationships'=>$productInfo->iiar,
        'learning'=>$productInfo->leaning,
        'education'=>$productInfo->education,
        'com_and_eco_life'=>$productInfo->ccarl,
        'domestic_life'=>$productInfo->domestic_life,
        'working'=>$productInfo->working,
        'residential_setting'=>$productInfo->residential_setting,
        'homeless_indicator'=>$productInfo->homeless_indicator,
        'accommodation_type'=>$productInfo->accommmodation_type,
        'household_composition'=>$productInfo->household_com,
        'main_source_of_income'=>$productInfo->source_of_income,
        'income_frequency'=>$productInfo->income_freq,
        'income_amount'=>$productInfo->income_amount,
        'time_sin_permanent_address'=>$productInfo->tslpa,
        'tenure'=>$productInfo->tenure,
        'shs_dwelling'=>$productInfo->shs_dwelling,
        'first_arrival_month'=>$productInfo->f_arrival_mon,
        'first_arrival_year'=>$productInfo->f_arrival_year,
        'migration_visa_category'=>$productInfo->m_visa_cat,
        'interpreter_services'=>$productInfo->i_ser_req,
        'labour_force_status'=>$productInfo->la_f_status,
        'employment_status'=>$productInfo->employ_status,
        'main_income_source'=>$productInfo->m_income_source,
        'awaiting_benefit'=>$productInfo->awaiting_benefit,
        'student_or_trainee'=>$productInfo->stud_traine,
        'enrolled_in'=>$productInfo->enrolled_in,
        'school_enrolment'=>$productInfo->school_enrolment,

    ];


    $builder=$this->db->table('add_details');
    if($builder->insert($collect_data)){
    $data=array(
        'status'=>'200',
        'message'=>'data inserted successfully..'
    );
          return $this->response
                    ->setStatusCode(200)
                    ->setJSON($data);
    }
                    
	}


	//--------------------------------------------------------------------

}
